## AnjutaCompletion

AnjutaCompletion

## Functions

const char * | ( *AnjutaCompletionNameFunc ) ()
gboolean | ( *AnjutaCompletionFilterFunc ) ()
AnjutaCompletion * | anjuta_completion_new ()
gboolean | anjuta_completion_get_case_sensitive ()
void | anjuta_completion_set_case_sensitive ()
void | anjuta_completion_set_item_destroy_func ()
void | anjuta_completion_set_filter_func ()
void | anjuta_completion_add_item ()
void | anjuta_completion_clear ()
GList * | anjuta_completion_complete ()

## Properties

gboolean | case-sensitive | Read / Write

## Object Hierarchy

        GObject
        ╰── AnjutaCompletion

## Description

## Functions

### AnjutaCompletionNameFunc ()

    const char *
    (*AnjutaCompletionNameFunc) (const void *item);

### AnjutaCompletionFilterFunc ()

    gboolean
    (*AnjutaCompletionFilterFunc) (const void *item,
                                   void *user_data);

### anjuta_completion_new ()

    AnjutaCompletion *
    anjuta_completion_new (AnjutaCompletionNameFunc name_func);

### anjuta_completion_get_case_sensitive ()

    gboolean
    anjuta_completion_get_case_sensitive (AnjutaCompletion *self);

### anjuta_completion_set_case_sensitive ()

    void
    anjuta_completion_set_case_sensitive (AnjutaCompletion *self,
                                          gboolean case_sensitive);

### anjuta_completion_set_item_destroy_func ()

    void
    anjuta_completion_set_item_destroy_func
                                   (AnjutaCompletion *self,
                                    GDestroyNotify item_destroy_func);

#### Parameters

self | a AnjutaCompletion |
item_destroy_func | the function to be called on the added items when the AnjutaCompletion object is destroyed. | [allow-none]

### anjuta_completion_set_filter_func ()

    void
    anjuta_completion_set_filter_func (AnjutaCompletion *self,
                                       AnjutaCompletionFilterFunc filter_func,
                                       void *user_data);

### anjuta_completion_add_item ()

    void
    anjuta_completion_add_item (AnjutaCompletion *self,
                                void *item);

Add an item to the completion.

#### Parameters

self | a AnjutaCompletion |
item | the item to be added. |

### anjuta_completion_clear ()

    void
    anjuta_completion_clear (AnjutaCompletion *self);

Clear all items added to the completion.

#### Parameters

self | a AnjutaCompletion |

### anjuta_completion_complete ()

    GList *
    anjuta_completion_complete (AnjutaCompletion *self,
                                const char *prefix,
                                gint max_completions);

#### Parameters

self | A AnjutaCompletion |
prefix | The prefix to complete against. |

#### Returns

The list of completions that matched `prefix` .

[transfer container]

## Types and Values

## Property Details

### The `“case-sensitive”` property

      “case-sensitive”           gboolean

Case sensitive.

Flags: Read / Write

Default value: TRUE